Skip to main content
POST
/
v2
/
admin
/
emergency-locations
/
validate-address
Validate Address
curl --request POST \
  --url https://api.voxo.co/v2/admin/emergency-locations/validate-address \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "city": "<string>",
  "state": "<string>",
  "location": "<string>",
  "streetNum": "<string>",
  "postalCode": "<string>",
  "streetInfo": "<string>"
}
'
{
  "type": "corrected",
  "addressList": [
    {
      "streetNum": "<string>",
      "streetInfo": "<string>",
      "location": "<string>",
      "city": "<string>",
      "state": "<string>",
      "postalCode": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
city
string
required

City

Minimum string length: 1
state
string
required

Two-letter state code

Required string length: 2
location
string
required

Location details (suite, floor, etc.)

streetNum
string
required

Street number

Minimum string length: 1
postalCode
string
required

Postal code

Minimum string length: 1
streetInfo
string
required

Street name and type

Minimum string length: 1

Response

Validated address results

type
enum<string>
required

Result type (corrected or candidates)

Available options:
corrected,
candidates
addressList
object[]
required

Validated address options